Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Class ClasspathVariableInitializer

    java.lang.Object
      org.eclipse.jdt.core.ClasspathVariableInitializer

public abstract class ClasspathVariableInitializer
extends Object

Abstract base implementation of all classpath variable initializers. Classpath variable initializers are used in conjunction with the "org.eclipse.jdt.core.classpathVariableInitializer" extension point.

Clients should subclass this class to implement a specific classpath variable initializer. The subclass must have a public 0-argument constructor and a concrete implementation of `initialize`.

Since:
  2.0
See Also:
  `IClasspathEntry`

Constructor Summary
`ClasspathVariableInitializer()` Creates a new classpath variable initializer.

Method Summary
`abstract void` | `initialize(String variable)` Binds a value to the workspace classpath variable with the given name, or fails silently if this cannot be done.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathVariableInitializer

    public ClasspathVariableInitializer()

  Creates a new classpath variable initializer.

Method Detail

### initialize

    public abstract void initialize(String variable)

  Binds a value to the workspace classpath variable with the given name, or fails silently if this cannot be done.

  A variable initializer is automatically activated whenever a variable value is needed and none has been recorded so far. The implementation of the initializer can set the corresponding variable using `JavaCore#setClasspathVariable`.

  Parameters:
    `variable` - the name of the workspace classpath variable that requires a binding
  See Also:
    `JavaCore.getClasspathVariable(String)`, `JavaCore.setClasspathVariable(String, org.eclipse.core.runtime.IPath, org.eclipse.core.runtime.IProgressMonitor)`, `JavaCore.setClasspathVariables(String[], org.eclipse.core.runtime.IPath[], org.eclipse.core.runtime.IProgressMonitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.